Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510716 - [Docs][Release Notes] Compute deprecation notices for RHOSP 12 release notes
Summary: [Docs][Release Notes] Compute deprecation notices for RHOSP 12 release notes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: async
: 12.0 (Pike)
Assignee: Deepti Navale
QA Contact: Mikey Ariel
URL:
Whiteboard:
Depends On:
Blocks: 1541829
TreeView+ depends on / blocked
 
Reported: 2017-11-08 04:05 UTC by Stephen Gordon
Modified: 2018-03-15 00:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
File injection from the Compute REST API. This will continue to be supported for now if using API microversion < 2.56. However, nova will eventually remove this functionality. The changes are as follows: ∘ Deprecate the `personality` parameter from the `POST /servers` create server API and the `POST /servers/{server_id}/action` rebuild server API. Specifying the `personality` parameter in the request body to either of these APIs will result in a `400 Bad Request` error response. ∘ Add support to pass `user_data` to the rebuild server API as a result of this change. ∘ Stop returning `maxPersonality` and `maxPersonalitySize` response values from the `GET /limits` API. ∘ Stop accepting and returning `injected_files`, `injected_file_path_bytes`, `injected_file_content_bytes` from the `os-quota-sets` and `os-quota-class-sets` APIs. • Compute API extensions including server extensions, flavor extensions and image extensions.. The extensions code have their own policy and there is no option to enable or disable these extensions in the API, leading to interoperability issues. • Removes the `hide_server_address_states` configuration option which allows you to configure the server states to hide the address and the hide server address policy. Also, removes the 'os_compute_api:os-hide-server-addresses' policy as it is no longer necessary.
Clone Of:
: 1541829 (view as bug list)
Environment:
Last Closed: 2018-03-15 00:23:28 UTC


Attachments (Terms of Use)

Description Stephen Gordon 2017-11-08 04:05:46 UTC
Description of problem:

The following Nova deprecations and removals are planned for the Queens cycle. To give our users as much notice as feasible that this functionality is to be removed we should ensure it appears as deprecated in the RHOSP 12 (Pike) release notes as well as the RHOSP 13 (Queens) ones when the time comes.

File injection: https://specs.openstack.org/openstack/nova-specs/specs/queens/approved/deprecate-file-injection.html

API extension policy rules: https://specs.openstack.org/openstack/nova-specs/specs/queens/approved/api-extensions-policy-removal.html

Remove hide_server_addresses option: https://specs.openstack.org/openstack/nova-specs/specs/queens/approved/remove-configurable-hide-server-address-feature.html

Comment 1 Stephen Gordon 2017-11-08 04:07:09 UTC
Please add to RHOSP 12 release notes and then clone for 13 where the message may be slightly different particularly for the items being removed in Queens.

Comment 2 Lucy Bopf 2018-02-05 01:51:51 UTC
Assigning to Deepti for review.

Deepti, let's use this bug's 'Doc Text' field to list the deprecated functionalities, and then respin the GA Release Information section to pull in the text.

I will clone a bug for 13, in which we'll need to separately confirm the required text, when the time comes.

Comment 4 Stephen Finucane 2018-02-12 16:26:37 UTC
(In reply to Stephen Gordon from comment #0)
> File injection:
> https://specs.openstack.org/openstack/nova-specs/specs/queens/approved/
> deprecate-file-injection.html

Deprecated in 126c3d4c78d937888213979272534e1cb706a4d4, which is part of 17.0.0.0b3. This will continue to be supported for now if using API microversion < 2.56. However, nova will eventually remove this functionality.

> API extension policy rules:
> https://specs.openstack.org/openstack/nova-specs/specs/queens/approved/api-
> extensions-policy-removal.html

Deprecated in f2d18c2e9989f007a6576be6c9a6fcc5bcd67322, which is part of 17.0.0.0b3. This merely deprecates old policies, so these should be removed from the policy file to resolve the issue. There is no need to do anything else.

> Remove hide_server_addresses option:
> https://specs.openstack.org/openstack/nova-specs/specs/queens/approved/
> remove-configurable-hide-server-address-feature.html

Deprecated in 3e329e73e7ffab63a2c1c33533e7c96f82c7c142, which is part of 17.0.0.0b3.

More information on each of the above can be found in the release notes included with each commit.


Note You need to log in before you can comment on or make changes to this bug.